
#if !defined(AFX_CPPSYNTAXCOLORER_INCLUDED_)
#define AFX_CPPSYNTAXCOLORER_INCLUDED_

#include "AbstractSyntaxColorer.h"
#include "SharedStack.h"

class CppSyntaxColorState
{
public:
	CppSyntaxColorState();
	CppSyntaxColorState(CppSyntaxColorState* original);

	SharedStack<char> stateStack;
	long state;
};

class CppSyntaxColorer : public AbstractStateSyntaxColorer<CppSyntaxColorState>
{
public:
	CppSyntaxColorer();
	
	void parseLine(const char *line, CppSyntaxColorState &state, int &lineFlags);
};

#endif // AFX_CPPSYNTAXCOLORER_INCLUDED_